org.apache.solr

## Class SolrTestCaseJ4.Doc

- java.lang.Object
- - org.apache.solr.SolrTestCaseJ4.Doc

- All Implemented Interfaces:
    Comparable
  Enclosing class:
    SolrTestCaseJ4

      public static class SolrTestCaseJ4.Doc
      extends Object
      implements Comparable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<SolrTestCaseJ4.Fld>` | `fields`
    `Comparable` | `id`
    `int` | `order`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Doc()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Object o)`
    `boolean` | `equals(Object o)`
    `Comparable` | `getFirstValue(String field)`
    `List<Comparable>` | `getValues(String field)`
    `int` | `hashCode()`
    `Map<String,Object>` | `toObject(org.apache.solr.schema.IndexSchema schema)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          public Comparable id

    - #### fields

          public List<SolrTestCaseJ4.Fld> fields

    - #### order

          public int order

  - ### Constructor Detail

    - #### Doc

          public Doc()

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### compareTo

          public int compareTo(Object o)

      Specified by:
        `compareTo` in interface `Comparable`

    - #### getValues

          public List<Comparable> getValues(String field)

    - #### getFirstValue

          public Comparable getFirstValue(String field)

    - #### toObject

          public Map<String,Object> toObject(org.apache.solr.schema.IndexSchema schema)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.